List Wallets
curl --request GET \
--url https://api.anchorage-staging.com/v3/wallets \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/wallets"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"latestAddress": {
"address": "<string>",
"networkId": "<string>",
"publicKey": "<string>",
"signature": "1642000aa9cca8e8610981aefbdb204b361c9dca3fa067b88fdacfba7a0f620d721378a33f4bbadad3923e633a4d712646d1e8e314e9fcb4aa4102c0581f6503",
"signatureVersion": "V1",
"signedJson": "7b225465787441646472657373223a22307831323334227d",
"walletId": "<string>",
"certChain": "<string>"
},
"name": "<string>",
"networkId": "<string>",
"vaultId": "<string>",
"walletId": "<string>"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}List Wallets
Permissions required: Read vault activity
List all wallets in the organization.
GET
/
wallets
List Wallets
curl --request GET \
--url https://api.anchorage-staging.com/v3/wallets \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/wallets"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"latestAddress": {
"address": "<string>",
"networkId": "<string>",
"publicKey": "<string>",
"signature": "1642000aa9cca8e8610981aefbdb204b361c9dca3fa067b88fdacfba7a0f620d721378a33f4bbadad3923e633a4d712646d1e8e314e9fcb4aa4102c0581f6503",
"signatureVersion": "V1",
"signedJson": "7b225465787441646472657373223a22307831323334227d",
"walletId": "<string>",
"certChain": "<string>"
},
"name": "<string>",
"networkId": "<string>",
"vaultId": "<string>",
"walletId": "<string>"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Maximum number of results to return per query
Required range:
1 <= x <= 100Filter by vault ID
A unique string identifying a combination of blockchain and environment (testnet, mainnet).
Filter by batch creation ID
Was this page helpful?